From f27aed63697d7ed844dd32f46182d4a8b0edb903 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@gmail.com>
Date: Sat, 11 Jul 2020 09:33:10 +1200
Subject: [PATCH] Fix some more broken URLs.

Discussion: https://postgr.es/m/20200709.161226.204639179120026914.horikyota.ntt@gmail.com
---
 doc/src/sgml/acronyms.sgml            | 2 +-
 doc/src/sgml/charset.sgml             | 2 +-
 doc/src/sgml/installation.sgml        | 2 +-
 doc/src/sgml/isn.sgml                 | 2 +-
 src/backend/utils/mb/Unicode/Makefile | 2 +-
 src/common/encnames.c                 | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index f638665dc9..d0265dfb93 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -649,7 +649,7 @@
     <term><acronym>SSPI</acronym></term>
     <listitem>
      <para>
-      <ulink url="https://msdn.microsoft.com/en-us/library/aa380493%28VS.85%29.aspx">Security
+      <ulink url="https://docs.microsoft.com/en-us/windows/win32/secauthn/sspi">Security
       Support Provider Interface</ulink>
      </para>
     </listitem>
diff --git a/doc/src/sgml/charset.sgml b/doc/src/sgml/charset.sgml
index 4b4563c5b9..ccd39a55f5 100644
--- a/doc/src/sgml/charset.sgml
+++ b/doc/src/sgml/charset.sgml
@@ -841,7 +841,7 @@ CREATE COLLATION german (provider = libc, locale = 'de_DE');
     subtag) can be found in
     the <ulink url="https://github.com/unicode-org/cldr/blob/master/common/bcp47/collation.xml">CLDR
     repository</ulink>.
-    The <ulink url="https://ssl.icu-project.org/icu-bin/locexp">ICU Locale
+    The <ulink url="https://icu-project.org/icu-bin/locexp">ICU Locale
     Explorer</ulink> can be used to check the details of a particular locale
     definition.  The examples using the <literal>k*</literal> subtags require
     at least ICU version 54.
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 552303e211..617eb1b044 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -2430,7 +2430,7 @@ xcodebuild -version -sdk macosx Path
 
    <para>
      To build 64 bit binaries using MinGW, install the 64 bit tool set
-     from <ulink url="https://mingw-w64.org/"></ulink>, put its bin
+     from <ulink url="https://www.mingw-w64.org/"></ulink>, put its bin
      directory in the <envar>PATH</envar>, and run
      <command>configure</command> with the
      <command>--host=x86_64-w64-mingw32</command> option.
diff --git a/doc/src/sgml/isn.sgml b/doc/src/sgml/isn.sgml
index e1ea209ff1..bdab4eba34 100644
--- a/doc/src/sgml/isn.sgml
+++ b/doc/src/sgml/isn.sgml
@@ -400,7 +400,7 @@ SELECT isbn13(id) FROM test;
     <listitem><para><ulink url="https://en.wikipedia.org/wiki/List_of_ISBN_identifier_groups"></ulink></para></listitem>
     <listitem><para><ulink url="https://www.isbn-international.org/content/isbn-users-manual"></ulink></para></listitem>
     <listitem><para><ulink url="https://en.wikipedia.org/wiki/International_Standard_Music_Number"></ulink></para></listitem>
-    <listitem><para><ulink url="https://www.ismn-international.org/ranges.html"></ulink></para></listitem>
+    <listitem><para><ulink url="https://www.ismn-international.org/ranges/ranges"></ulink></para></listitem>
    </itemizedlist>
 
    Care was taken during the creation of the algorithms and they
diff --git a/src/backend/utils/mb/Unicode/Makefile b/src/backend/utils/mb/Unicode/Makefile
index 9084f03009..da307d8eb9 100644
--- a/src/backend/utils/mb/Unicode/Makefile
+++ b/src/backend/utils/mb/Unicode/Makefile
@@ -122,7 +122,7 @@ euc-jis-2004-std.txt sjis-0213-2004-std.txt:
 	$(DOWNLOAD) http://x0213.org/codetable/$(@F)
 
 gb-18030-2000.xml windows-949-2000.xml:
-	$(DOWNLOAD) https://ssl.icu-project.org/repos/icu/data/trunk/charset/data/xml/$(@F)
+	$(DOWNLOAD) https://raw.githubusercontent.com/unicode-org/icu-data/master/charset/data/xml/$(@F)
 
 GB2312.TXT:
 	$(DOWNLOAD) 'http://trac.greenstone.org/browser/trunk/gsdl/unicode/MAPPINGS/EASTASIA/GB/GB2312.TXT?rev=1842&format=txt'
diff --git a/src/common/encnames.c b/src/common/encnames.c
index 14cf1b39e9..2404822619 100644
--- a/src/common/encnames.c
+++ b/src/common/encnames.c
@@ -408,7 +408,7 @@ const pg_enc2gettext pg_enc2gettext_tbl[] =
 /*
  * Table of encoding names for ICU (currently covers backend encodings only)
  *
- * Reference: <https://ssl.icu-project.org/icu-bin/convexp>
+ * Reference: <https://icu-project.org/icu-bin/convexp>
  *
  * NULL entries are not supported by ICU, or their mapping is unclear.
  */
-- 
2.20.1

